%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}

%global gem_name rack-test

%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
%global gem_dir /usr/lib/ruby/gems/1.8
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%endif

Summary:        Simple testing API built on Rack
Name:           %{?scl_prefix}rubygem-%{gem_name}
Version:        0.6.1
Release:        8%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://gitrdoc.com/brynary/rack-test/tree/master
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       %{?scl_prefix}ruby(rubygems)
Requires:       %{?scl_prefix}rubygem(rack) >= 1.0
%if "%{?scl}" == "ruby193"
Requires: %{?scl_prefix}ruby-wrapper
BuildRequires: %{?scl_prefix}ruby-wrapper
%endif
%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
BuildRequires:  %{?scl_prefix}rubygems-devel
%endif

%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
%else
Requires: ruby(abi) = 1.8
%endif

%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
%else
BuildRequires: ruby(abi) = 1.8
%endif
BuildRequires:  %{?scl_prefix}ruby(rubygems)
BuildRequires:  %{?scl_prefix}rubygem(rack) >= 1.0
BuildRequires:  %{?scl_prefix}rubygem(rake)
BuildRequires:  %{?scl_prefix}rubygem(rspec)
BuildRequires:  %{?scl_prefix}rubygem(sinatra)
BuildArch:      noarch
Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on its
own or as a reusable starting point for Web frameworks and testing libraries
to build on. Most of its initial functionality is an extraction of Merb 1.0's
request helpers feature.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gem_dir}
%{?scl:scl enable %scl "}
gem install --local --install-dir $RPM_BUILD_ROOT%{gem_dir} \
        --force --rdoc %{SOURCE0}
%{?scl:"}
sed -i -e "s|~>|>=|"  $RPM_BUILD_ROOT%{gem_instdir}/spec/spec_helper.rb
rm  $RPM_BUILD_ROOT%{gem_instdir}/.gitignore
rm  $RPM_BUILD_ROOT%{gem_instdir}/.document
rm  $RPM_BUILD_ROOT%{gem_instdir}/Gemfile*

%check
%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
pushd %{buildroot}%{gem_instdir}
mv -f spec/spec_helper.rb spec/spec_helper.rb.orig
sed -e '/require "bundler\/setup"/d' spec/spec_helper.rb.orig > spec/spec_helper.rb
%{?scl:scl enable %scl '}
rspec -P "./**/*_spec.rb" -I. spec
%{?scl:'}
mv -f spec/spec_helper.rb.orig spec/spec_helper.rb
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/MIT-LICENSE.txt
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/Thorfile
%doc %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_cache}
%{gem_spec}


%changelog
* Thu Sep 12 2013 Jason Montleon <jmontleo@redhat.com> 0.6.1-8
- add ruby193-ruby-wrapper deps 

* Wed Sep 11 2013 Jason Montleon <jmontleo@redhat.com> 0.6.1-7
- fix non-scl builds (jmontleo@redhat.com)

* Tue Sep 10 2013 Jason Montleon <jmontleo@redhat.com> 0.6.1-6
- new package built with tito

* Wed May 08 2013 Bryan Kearney <bkearney@redhat.com> 0.6.1-5
- new package built with tito

* Thu Feb 28 2013 Miroslav Suchý <msuchy@redhat.com> 0.6.1-3
- new package built with tito

* Wed Jul 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-2
- Specfile cleanup

* Mon Apr 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-1
- Rebuilt for scl.
- Updated to 0.6.1.

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 07 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-2
- Fixed broken RSpec tests by temporary removing bundler

* Mon Jun 20 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.4.0-1
- Update to 0.4.0
- Drop useless sitelib macro

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Package generated by gem2rpm
- Fix up License
